%global version_major 8
%global gittag %{name}%{version_major}_%{version}
%global ruby_path %(echo %{ruby_vendorlibdir} | sed -e 's|/usr/||g')

Name:           gz-sim
Version:        8.0.0
Release:        1%{?dist}
Summary:        A Robotic Simulator

License:        Apache-2.0
URL:            https://gazebosim.org
Source0:        https://github.com/gazebosim/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz 

Patch0:         %{name}-8.0.0-installpaths.patch
Patch1:         %{name}-8.0.0-missingincludes.patch

BuildRequires:  cmake
BuildRequires:  cppzmq-devel
BuildRequires:  gcc-c++
BuildRequires:  gz-cmake-devel >= 3
BuildRequires:  gz-common-devel >= 5
BuildRequires:  gz-fuel-tools-devel >= 9
BuildRequires:  gz-gui-devel >= 8
BuildRequires:  gz-math-devel >= 7
BuildRequires:  gz-msgs-devel >= 10
BuildRequires:  gz-physics-devel >= 7
BuildRequires:  gz-plugin-devel >= 2
BuildRequires:  gz-rendering-devel >= 8
BuildRequires:  gz-sensors-devel >= 8
BuildRequires:  gz-transport-devel >= 13
BuildRequires:  gz-utils-devel >= 2
BuildRequires:  make
BuildRequires:  protobuf-devel
BuildRequires:  ruby-devel
BuildRequires:  sdformat-devel >= 14

Requires:       gz-tools >= 2

%description
Gazebo Sim is an open source robotics simulator. Through Gazebo Sim, users have
access to high fidelity physics, rendering, and sensor models. Additionally,
users and developers have multiple points of entry to simulation including a
graphical user interface, plugins, and asynchronous message passing and
services.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: gz-cmake-devel >= 3

%description devel
%{summary}


%prep
%autosetup -n %{name}-%{gittag} -Sgendiff -p1


%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=Release \
  -DUSE_HOST_SSE_FLAGS:BOOL=OFF \
  -DRUBY_LIB_INSTALL_DIR=%{ruby_path} \
  -DSKIP_SWIG:BOOL=ON \
  -DSKIP_PYBIND11:BOOL=ON

%cmake_build


%install
%cmake_install

%check
%ctest || exit 0

%files
%license LICENSE
%{_datadir}/gz
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{version_major}
%{_libdir}/%{name}-%{version_major}
%{ruby_vendorlibdir}/gz

%files devel
%doc redhat-linux-build/doxygen/html
%{_libdir}/*.so
%{_libdir}/cmake/%{name}%{version_major}*
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/gz


%changelog
* Wed Apr 03 2024 Rich Mattes <richmattes@gmail.com> - 8.0.0-1
- Initial package
